import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'colors.dart';


class AppStyle{
  static ThemeData lightTheme = ThemeData(
    primarySwatch: createMaterialColor(AppColorLight.primaryColor),
    visualDensity: VisualDensity.adaptivePlatformDensity,
    primaryColor: AppColorLight.primaryColor,
    scaffoldBackgroundColor: AppColorLight.scaffoldBackgroundColor,
    colorScheme: ColorScheme(
      brightness: Brightness.light,
      primary: AppColorLight.primaryColor, 
      onPrimary: AppColorLight.primaryColor, 
      secondary: AppColorLight.secondaryColor, 
      onSecondary: AppColorLight.secondaryColor,
      error: AppColorLight.erroColor, 
      onError: AppColorLight.erroColor, 
      background: AppColorLight.backgroundColor, 
      onBackground: AppColorLight.backgroundColor, 
      surface: AppColorLight.scaffoldBackgroundColor, 
      onSurface: AppColorLight.scaffoldBackgroundColor
    ),
    splashColor: Colors.transparent,
    highlightColor: Colors.transparent,
    hoverColor: Colors.transparent,
    textTheme: TextTheme(
      headlineLarge: GoogleFonts.inter(
        fontSize: 96,
        fontWeight: FontWeight.w300,
        color: AppColorLight.text00Color, 
      ),
      displayLarge: GoogleFonts.inter(
        fontSize: 60,
        fontWeight: FontWeight.w300,
        color: AppColorLight.text00Color,
      ),
      displayMedium: GoogleFonts.inter(
        fontSize: 48,
        fontWeight: FontWeight.w400,
        color: AppColorLight.text00Color,
      ),
      displaySmall: GoogleFonts.inter(
        fontSize: 32,
        fontWeight: FontWeight.w400,
        color: AppColorLight.text00Color,
      ),
      headlineMedium: GoogleFonts.inter(
        fontSize: 24,
        fontWeight: FontWeight.w600,
        color: AppColorLight.text00Color,
      ),
      headlineSmall: GoogleFonts.inter(
        fontSize: 20,
        fontWeight: FontWeight.w500,
        color: AppColorLight.text00Color,
      ),
      titleLarge: GoogleFonts.inter(
        fontSize: 16,
        fontWeight: FontWeight.w400,
        color: AppColorLight.text00Color,
      ),
      titleMedium: GoogleFonts.inter(
        fontSize: 16,
        fontWeight: FontWeight.w600,
        color: AppColorLight.text00Color,
      ),
      titleSmall: GoogleFonts.inter(
        fontSize: 13,
        fontWeight: FontWeight.w400,
        color: AppColorLight.text00Color,
      ),
      bodyLarge: GoogleFonts.inter(
        fontSize: 17,
        fontWeight: FontWeight.w600,
        color: AppColorLight.text00Color,
      ),
      bodyMedium: GoogleFonts.inter(
        fontSize: 14,
        fontWeight: FontWeight.w600,
        color: AppColorLight.text00Color,
      ),
      bodySmall: GoogleFonts.inter(
        fontSize: 12,
        color: AppColorLight.text00Color,
      ),
      labelLarge: GoogleFonts.inter(
        fontSize: 17,
        color: AppColorLight.text00Color,
      ),
      labelMedium: GoogleFonts.inter(
        fontSize: 14,
        fontWeight: FontWeight.w600,
        color: AppColorLight.text00Color,
      ),
      labelSmall: GoogleFonts.inter(
        fontSize: 11,
        color: AppColorLight.text00Color,
      )
    )
  );

  static ThemeData darkTheme = ThemeData(
    brightness: Brightness.dark,
    primaryColor: AppColorDark.darkPrimary,
    scaffoldBackgroundColor: AppColorDark.darkBG,
  );
}